<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.gather.plan.mapper.AdPlanStandardDevMapper">


    <select id="listByPlanId" resultType="com.njcn.gather.device.pojo.po.PqStandardDev">
        select standard_dev.*
        from ad_plan_standard_dev plan_std_dev left join pq_standard_dev standard_dev on plan_std_dev.Standard_Dev_Id = standard_dev.Id
        <if test="planIdList!= null and planIdList.size() != 0">
            where plan_std_dev.Plan_Id in
            <foreach collection="planIdList" item="item" open="(" separator="," close=")">
                #{item}
            </foreach>
        </if>
    </select>
</mapper>

